$navItemHeight: 56px;
$mainFontSize: 14px;
$sidebarWidth: 320px;
$profileImageSize: 56px;
$categoryItemHeight: 50px;
$imageBorderRadius: 120px;
$navMenuItemIconSize: 32px;
$navBarProfileHeight: 88px;
$profileConfifButtonSize: 48px;
$categoryItemPaddingLeft: 95px;
$mainBackgroundColor: #464a55;
$profileBackgroundColor: #4bbdeb;
$linkHoverBackgroundColor: #666b78;
$borderBottomBackgroundColor: #466578;
$hoverNavItemLeftBorderColor: rgb(245, 193, 53);
$parentCategoryItemColor: rgba(43, 169, 216, 1);

.left-sidebar-container {
  z-index: 9999999999;

  img {
    display: block;
    width: 100%;
  }

  .sidebar-admin-nav-menu {
    display: flex;
    justify-content: center;
    flex-direction: column;

    line-height: $navItemHeight;
    background-color: $parentCategoryItemColor;

    a {
      font-family: $Rubik-Font;
      font-size: 16px;
      font-weight: 500;
      color: rgba(255, 255, 255, 1);
      text-align: center;
    }
  }

  .tgpoint--sidebar-profile {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background-color: rgba(79, 193, 233, 1);
    padding: 16px 16px 16px 24px;

    .tgpoint--sidebar-profile-item {
      align-self: center;

      &.avatar {
        padding: 0 24px 0 0;
      }
      &.avatar img {
        text-decoration: none;
        width: $profileImageSize;
        height: $profileImageSize;
        border: none;
        border-radius: $imageBorderRadius;
        background-color: rgba(216, 216, 216, 1);
      }

      &.info {
        width: 116px;
        padding: 0;

        .role,
        .name {
          overflow: hidden;
          padding: 5px;
          display: block;
          text-overflow: ellipsis;
        }

        .role {
          font-family: $Rubik-Font;
          font-weight: 500;
          font-size: 14px;
          color: #434A54;
          line-height: 17px;
          text-transform: uppercase;
        }
        .name {
          font-family: $Rubik-Font;
          font-weight: 400;
          font-size: 14px;
          color: rgba(67, 74, 84, 0.8);
          line-height: 14px;
          padding: 11px 0 0 0;
        }
      }

      &.settings a {
        cursor: pointer;
        width: $profileConfifButtonSize;
        height: $profileConfifButtonSize;
        display: inline-block;
        background-image: url("/assets/svg/icon-settings-inactive.svg");

        &:hover {
          background-image: url("/assets/svg/icon-settings.svg");
        }
      }
    }

  }

  .tgpoint--sidebar-nav-profile {
    display: flex;

    flex-direction: row;
    align-items: center;
    justify-content: center;
    height: $navBarProfileHeight;
    background-color: $profileBackgroundColor;

    div {
      padding: 20px;
      width: 150px;
      font-size: $mainFontSize;

      label {
        font-weight: 800;
      }

      label, span {
        width: 100%;
        display: block;
        overflow: hidden;
        text-overflow: ellipsis;
        height: $navMenuItemIconSize;
      }
    }

    .sidebar-nav-profile-config {
      cursor: pointer;
      width: $profileConfifButtonSize;
      height: $profileConfifButtonSize;
      background-image: url("/assets/svg/icon-settings-inactive.svg");

      &:hover {
        background-image: url("/assets/svg/icon-settings.svg");
      }
    }
  }

  .sidebar-nav-menu {
    padding: 0px;
    position: relative;

    .menu-item {
      .link {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        position: relative;
        border-left: 6px solid $mainBackgroundColor;
        text-decoration: none;
        color: #FFF;

        .text {
          padding: 0 0 0 15px;
          font-family: $Rubik-Font;
          font-size: 16px;
          font-weight: 500;
          color: rgba(230, 233, 237, 1);
        }

        &:after {
          content: '';
          position: absolute;
          right: 0px;
          top: 16px;
          color: #FFF;
          border: 8px solid transparent;
          border-right: 13px solid white;
          opacity: 0;
        }

        &:hover, &.active {
          background-color: $linkHoverBackgroundColor;
          border-left-color: $hoverNavItemLeftBorderColor;
        }
      }
    }

    .sidebar-nav-menu-bottom-border {
      cursor: pointer;
      border-bottom: 2px solid $borderBottomBackgroundColor;
    }

    .sidebar-nav-menu-categories {
      list-style: none;
      box-sizing: border-box;
      max-height: calc(100vw - 810px);
      overflow-y: scroll;
      font-size: $mainFontSize;
      padding: 15px 0px 0px 0px;

      > label {

        height: calc(#{$navItemHeight} - 2px);
      }

      ul, li {
        padding: 0px;
        width: 100%;
        list-style: none;
      }

      li {
        cursor: pointer;
      }

      span {
        display: block;
        height: $categoryItemHeight;
        color: $parentCategoryItemColor;
        padding-left: $categoryItemPaddingLeft;
      }

      ul > li > span {
        color: white;
        &:hover {
          opacity: 0.75;
        }
      }

    }

    .close {
      height: 0px;
    }
    .open {
      height: auto;
    }
  }
}

@media all and (min-width: 865px) {
  .left-sidebar-container .sidebar-nav-menu {
    .menu-item {
      .link {
        &:hover {
          &:after {
            opacity: 1;
          }
        }

        &.active {
          &:after {
            opacity: 1
          }
        }
      }
    }
  }
}


